- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
AL::Math::RoundedRectangle Class Reference

`#include <shapes3d.h>`

## Public Member Functions
| RoundedRectangle (float pHalfExtentX, float pHalfExtentY, float pRadius)
void | accept (const Shape3DVisitor &v) const override
float | getHalfExtentX () const
float | getHalfExtentY () const
float | getRadius () const
Public Member Functions inherited from AL::Math::Shape3D
virtual | ~Shape3D ()

## Friends
bool | operator== (const RoundedRectangle &lhs, const RoundedRectangle &rhs)
bool | operator!= (const RoundedRectangle &lhs, const RoundedRectangle &rhs)

## Detailed Description

Definition at line 47 of file shapes3d.h.

## Constructor & Destructor Documentation

AL::Math::RoundedRectangle::RoundedRectangle | ( | float | pHalfExtentX,
|  | float | pHalfExtentY,
|  | float | pRadius
| ) |  |

## Member Function Documentation

void AL::Math::RoundedRectangle::accept | ( | const Shape3DVisitor & | v | ) | const
| override virtual

Implements AL::Math::Shape3D.

float AL::Math::RoundedRectangle::getHalfExtentX | ( |  | ) | const

float AL::Math::RoundedRectangle::getHalfExtentY | ( |  | ) | const

float AL::Math::RoundedRectangle::getRadius | ( |  | ) | const

## Friends And Related Function Documentation

bool operator!= | ( | const RoundedRectangle & | lhs,
|  | const RoundedRectangle & | rhs
| ) |  |
| friend

Definition at line 57 of file shapes3d.h.

bool operator== | ( | const RoundedRectangle & | lhs,
|  | const RoundedRectangle & | rhs
| ) |  |
| friend

Definition at line 50 of file shapes3d.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/geometrics/shapes3d.h